Name:           python-pyhyperscattering
Version:        0.2.10
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Utilities for loading, reducing, fitting, and plotting hyperspectral x-ray and neutron scattering data.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        NIST-PD-fallback
URL:            https://github.com/usnistgov/pyhyperscattering
Source:         %{pypi_source pyhyperscattering}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyhyperscattering' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyhyperscattering
Summary:        %{summary}

%description -n python3-pyhyperscattering %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pyhyperscattering all,all-nogpu,bluesky,dev,doc,grazing,performance,test,ui


%prep
%autosetup -p1 -n pyhyperscattering-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,all-nogpu,bluesky,dev,doc,grazing,performance,test,ui


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyhyperscattering -f %{pyproject_files}


%changelog
%autochangelog